//priority: 100

onEvent("lootjs", (event) => {
    const mobs = [MC("skeleton"), MC("stray"), Q("forgotten")]
	mobs.forEach(mob => {
        event.addEntityLootModifier(mob).thenRemove(MC("arrow"))
    })
    event.addEntityLootModifier(MC("stray")).thenRemove(Item.of(MC("tipped_arrow")).ignoreNBT())
    event.addLootTypeModifier(LootType.ENTITY).thenRemove(MC("arrow"))

    //remove flint drop from gravel (manually)
    event.addBlockLootModifier(MC("gravel")).thenRemove(MC("flint"))
});